Subject: bug#12301: closed (Re: bug#12301: tail -F & ZFS)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Aug 2012 16:32:02 +0000

Your bug report

#12301: tail -F & ZFS

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12301: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12301
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12301: tail -F & ZFS
From: Jim Meyering <[email-masked]>
To: Pádraig Brady <[email-masked]>
Cc: Erik Auerswald <[email-masked]>, Bernhard Voelker <[email-masked]>, [email-masked]
Date: Wed, 29 Aug 2012 18:30:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pádraig Brady wrote:
...
>> Hmm... fsid=0x4010002.
>> That is definitely not the same number as what is now recorded in
>> stat.c, so this deserves more investigation:
>>
>>     case S_MAGIC_ZFS: /* 0x2FC12FC1 local */
>>       return "zfs";
>>
>> This also shows there is room for improvement.
>> (should print the hexadecimal FSID):
>>
>>     sol10$ ./stat --fo=%t -f /
>>     ?
>>
>> This latter might deserve its own bug, but for now,
>> I've simply reopened the original ZFS-related bug.
>
> I don't think there is an issue here.
>
> fsid is a per file system rather than per file system type.
> So '?' is correct on Solaris as it doesn't expose the file
> system type ID (it doesn't have statfs).
>
> Also tail will default to the more portable polling
> method when f_type is not available.

Oh, good.  Then this really is "done".  Marking as such.
Thanks!

Subject: tail -F & ZFS
From: Raimonds Miltins <[email-masked]>
To: <[email-masked]>
Date: Wed, 29 Aug 2012 08:00:29 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

 Hello,

 I'm using Gentoo linux on ZFS and see following when opened file with 
 tail -F (or -f):
 tail: unrecognized file system type 0x2fc12fc1 for ‘/var/log/messages’. 
 please report this to [email-masked]. reverting to polling

 Distro: Gentoo
 Kernel: 3.2.22
 Coreutils: 8.16

-- 
 Raimonds Miltiņš
 SIA "PRO-9"
 phone: +371 26101996
 gsm:   +371 29427647